local NLUIWCT = CreateFrame("Frame","WeeklyChestTracker", UIParent, "BasicFrameTemplateWithInset");
NLUIWCT:SetSize(285,60); -- width, height
NLUIWCT:SetPoint("CENTER", UIParent, "CENTER");
NLUIWCT:EnableMouse(true);
NLUIWCT:SetMovable(true);
NLUIWCT:RegisterForDrag("LeftButton");
NLUIWCT:SetScript("OnDragStart", NLUIWCT.StartMoving)
NLUIWCT:SetScript("OnDragStop", NLUIWCT.StopMovingOrSizing)
NLUIWCT:Hide();

--WCT Keystone list
local function GetWCTList()
    local runs = C_MythicPlus.GetRunHistory(false, true)
    local returnString = ""
    local topTen = {}
    for k, v in pairs(runs) do
        table.insert(topTen, v.level)
    end
    i = 2;
    while i <= table.getn(topTen) do
        local j = i - 1;
        local num1 = topTen[i];
        while j > 0 and topTen[j] < num1 do
            topTen[j + 1] = topTen[j]
            j = j - 1;
        end
        topTen[j + 1] = num1
        i = i + 1;
    end
return topTen
end

-- Title settings
NLUIWCT.title = NLUIWCT:CreateFontString(nil, "OVERLAY");
NLUIWCT.title:SetFontObject("GameFontHighlight");
NLUIWCT.title:SetPoint("LEFT", NLUIWCT.TitleBg, "LEFT", 5, 0);
NLUIWCT.title:SetText("The Great Vault Key Tracker");

-- outPutFrame is to display NLDestroyList
-- EditBox
NLUIWCT.eb = CreateFrame("Frame", "WeeklyChestTracker", NLUIWCT)
NLUIWCT.eb:SetSize(275,40); -- width, height.
NLUIWCT.eb.text = NLUIWCT:CreateFontString("OVERLAY", "GameTooltipText") 
NLUIWCT.eb.text:SetFont("Fonts\\ARIALN.ttf", 18, "OUTLINE")
NLUIWCT.eb.text:SetPoint("CENTER",0,-9)
NLUIWCT.eb.set = function()
    local text = "";
    local NLUIWCTList = GetWCTList();
    i = 1;
    while i < 11 do
        if NLUIWCTList[i] ~= nil then
            if i == 1 or i == 4 or i == 10 then
                text = text.."|cff66ff66"..NLUIWCTList[i].."|r  ";
            else
                text = text..NLUIWCTList[i].."  ";
            end
            i = i + 1;
        else
            text = text.."0  ";
            i = i + 1;
        end
    end
    NLUIWCT.eb.text:SetText(text);
end
-- end of outPutFrame

SLASH_WeeklyChestTracker1 = '/GVKeys';
local function WeeklyChestTracker_handler(msg)
    if msg == "" then
        NLUIWCT.eb.set();
        NLUIWCT:Show();
    end
end
SlashCmdList["WeeklyChestTracker"] = WeeklyChestTracker_handler;

